package speiger.src.coreengine.utils.collections.pools;

import java.util.Collection;
import java.util.function.Consumer;
import java.util.function.Supplier;

public interface IPool<T> extends Consumer<T>, Supplier<T>
{
	public T[] get(T[] input);
	
	public void accept(T[] values);
	
	public void accept(Collection<T> values);
}
